#include "klist.h"

#define KK_NCP_QUEUE_MAGIC 712341940

typedef struct {
	void *data;
	struct list_head list;
} ncp_queue_msg_s;

typedef struct {
	int magic;
	void *mutex;
	int max_size;
	int size;
	struct list_head list;
}ncp_queue_s;

typedef enum{
	REV_MSG = 0,
	GET_PROPERTY,
	NCP_QUEUE_ENUM_END
}NCP_QUEUE_ENUM;
#define NCP_QUEUE1_SIZE				50
#define NCP_QUEUE2_SIZE				20
#define NCP_QUEUE_SIZE(x)			NCP_QUEUE##x##_SIZE

int ncp_queue_init(void);
int ncp_queue_dequeue(NCP_QUEUE_ENUM ix,void **data);
int ncp_queue_enqueue(NCP_QUEUE_ENUM ix,void *data);

